return {
  -- You can also add new plugins here as well, using the lazy syntax:
  -- Discord rich presence plugin
  {
    "andweeb/presence.nvim",
    config = function()
      require("presence").setup {
        auto_update = true,
        show_time = true,
        client_id = "242049919999803395",

        editing_text = "Doing the thing on %s",
        file_explorer_text = "Scratching my head in %s",
        git_commit_text = "Signing my soul away",
      }
    end,
  },

  -- Catppuccin colorscheme plugin
  "catppuccin/nvim",

  -- Todo color comments plugin
  {
    "folke/todo-comments.nvim",
    dependencies = { "nvim-lua/plenary.nvim" },
    opts = {
      keywords = {
        TODO = { icon = "✔️", color = "info" },
        HACK = { icon = "🔥", color = "warning" },
        WARN = { icon = "⚠️", color = "warning" },
        FIXME = { icon = "🔨", color = "danger" },
      },
    },
    lazy = false,
  },

  -- Sticky scroll (context) plugin
  {
    "nvim-treesitter/nvim-treesitter-context",
    config = function()
      require("treesitter-context").setup {
        enable = true,
        max_lines = 5,
        zindex = 20,
        trim_scope = "outer",
        line_numbers = true,
        min_window_height = 0,
        multiline_threshold = 20,
        mode = "topline",
      }
    end,
  },

  {
    "amrbashir/nvim-docs-view",
    opt = true,
    cmd = { "DocsViewToggle" },
    config = function()
      require("docs-view").setup {
        position = "bottom",
        width = 60,
      }
    end,
  },
}
